package gov.va.med.cds.audit;

import java.io.Serializable;


public class FilterIdWrapper
    implements
        Serializable
{
    private static final long serialVersionUID = -9034977172334646375L;

    private String filterId = null;
    private long id;
    
    
    public long getId( )
    {
        return id;
    }

    public void setId( long id )
    {
        this.id = id;
    }

    public String getFilterId( )
    {
        return filterId;
    }

    public void setFilterId( String filterId )
    {
        this.filterId = filterId;
    }
    
    @Override
    public String toString( )
    {
        return filterId;
    }
   
    @Override
    public int hashCode( )
    {
        return filterId.hashCode();
    }
    
    @Override
    public boolean equals( Object obj )
    {
        return filterId.equals( obj );
    }
}
